Bug 1566193 - Any time GNOME Shell crashes because XWayland crashed, bug is erroneously marked as a dupe (1510059...)
Summary: Any time GNOME Shell crashes because XWayland crashed, bug is erroneously mar...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: satyr
Version: 28
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 18:14 UTC by Adam Williamson
Modified: 2018-11-28 14:39 UTC (History)
2 users (show)

Fixed In Version: satyr-0.26-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 14:39:43 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1509086 0 unspecified CLOSED Many GNOME crashes erroneously marked as dupes of 1469813, 1510059... due to glib 'log and then crash' codepaths (_g_log... 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1556831 0 unspecified CLOSED dies *with SIGTRAP*, when XWayland dies 2021-02-22 00:41:40 UTC

Internal Links: 1509086 1556831

Description Adam Williamson 2018-04-11 18:14:05 UTC
This is quite similar to https://bugzilla.redhat.com/show_bug.cgi?id=1509086 , but with a different problematic backtrace path. Basically it seems like currently in F27, this gnome-shell crash often happens:

 #0 raise at ../sysdeps/unix/sysv/linux/raise.c:51
 #1 dump_gjs_stack_on_signal_handler at ../src/main.c:372
 #5 default_log_handler at ../src/main.c:315
 #8 x_io_error at wayland/meta-xwayland.c:418

Usually with the message:

"Connection to xwayland lost"

All this tells us is that GNOME Shell crashed because XWayland crashed. However, all of these bugs at least for F27 are being marked as duplicates of https://bugzilla.redhat.com/show_bug.cgi?id=1510059 , even though they likely have nothing to do with each other.

There may well be a similar bug for F28, but I haven't found it yet, I'll have a look around.

Similar to the resolution for #1509086 , I think we need to 'blacklist' this path in satyr...

See also https://github.com/abrt/satyr/issues/271 and https://github.com/abrt/satyr/issues/272 , where I flagged up this "dump_gjs_stack_on_signal_handler" as being potentially problematic in this way.

Comment 1 Adam Williamson 2018-04-12 17:57:01 UTC
I think https://github.com/abrt/satyr/commit/6383faff4959c751f71f107901897ff654e82615 should help with this, we just need that fix to go out to F27 (and probably F28 and Rawhide).

Comment 2 Adam Williamson 2018-04-12 18:24:58 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=1556831 , where it's proposed that Shell should just *not dump core* in this case.

Comment 3 Ben Cotton 2018-11-27 14:14:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Adam Williamson 2018-11-27 16:42:15 UTC
Moving this to 28, I'm not sure whether the fix made it there.

Comment 5 Martin Kutlak 2018-11-28 14:39:43 UTC
The fix for this bugzilla didn't make it to F27, but it should be fixed in Fedora 28+.

Upstream PR:
https://github.com/abrt/satyr/pull/280


Note You need to log in before you can comment on or make changes to this bug.